package com.exam.dao.impl;

import java.util.List;

import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.exam.dao.AuthorityDao;
@Repository("authorityDao")
public class AuthorityDaoImpl extends SqlMapClientDaoSupport implements AuthorityDao{
	@SuppressWarnings("unchecked")
	public List<String> selectTopMenu(){
		List topMenu = getSqlMapClientTemplate().queryForList("authority.selectTopMenu");
		return topMenu;
	}
	@SuppressWarnings("unchecked")
	public List<String> selectSideMenu(String topId){
		List sideMenu = getSqlMapClientTemplate().queryForList("authority.selectSideMenu",topId);
		return sideMenu;
		
		
	}
	@SuppressWarnings("unchecked")
	public List<String> getAuthorityList(){
		List authorityList = getSqlMapClientTemplate().queryForList("authority.selectAuthorityList");
		return authorityList;
		
		
	}
}
